| Version: 3.2.5

Public Member Functions | List of all members
wxWebViewArchiveHandler Class Reference
Class List by Category » WebView

`#include <wx/webviewarchivehandler.h>`

Inheritance diagram for wxWebViewArchiveHandler:
[legend]

## Detailed Description

A custom handler for the file scheme which also supports loading from archives.

The syntax for wxWebViewArchiveHandler differs from virtual file systems in the rest of wxWidgets by using a syntax such as `scheme:///C:/example/docs.zip;protocol=zip/main.htm` Currently the only supported protocol is `zip`.

Since
  2.9.3

  ##

Library: wxWebView
Category: WebView

See also
  wxWebView, wxWebViewHandler

## Public Member Functions

| wxWebViewArchiveHandler (const wxString &scheme)
| Constructor. More...
virtual wxFSFile * | GetFile (const wxString &uri)
Public Member Functions inherited from wxWebViewHandler
| wxWebViewHandler (const wxString &scheme)
| Constructor. More...
virtual wxString | GetName () const
virtual void | SetSecurityURL (const wxString &url)
| Sets a custom security URL. More...
virtual wxString | GetSecurityURL () const

## Constructor & Destructor Documentation

## ◆ wxWebViewArchiveHandler()

wxWebViewArchiveHandler::wxWebViewArchiveHandler | ( | const wxString & | scheme | ) |

Constructor.

## Member Function Documentation

## ◆ GetFile()

virtual wxFSFile* wxWebViewArchiveHandler::GetFile | ( | const wxString & | uri | ) |

virtual

Returns
  A pointer to the file represented by `uri`.

Implements wxWebViewHandler.